Bug 714949 - AVC: ERROR LOG FILE: Couldn't open log file /var/log/rhn/rhn_proxy_redirect.log
AVC: ERROR LOG FILE: Couldn't open log file /var/log/rhn/rhn_proxy_redirect.log
Status: CLOSED DEFERRED
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Server (Show other bugs)
541
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2011-06-21 08:04 EDT by Jan Pazdziora
Modified: 2014-07-04 09:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 09:25:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2011-06-21 08:04:27 EDT
Description of problem:

When kickstarting RHEL 6 guest via RHN Proxy 5.4.1 on RHEL 6 from RHN Satellite 5.4.1 on RHEL 6, I get the following error in /var/log/httpd/error_log:

[Tue Jun 21 07:54:26 2011] [error] RHN 15434 2011/06/21 07:54:26 -04:00: ERROR LOG FILE: Couldn't open log file /var/log/rhn/rhn_proxy_redirect.log
[Tue Jun 21 07:54:26 2011] [error] RHN 15434 2011/06/21 07:54:26 -04:00: (<type 'exceptions.OSError'>, OSError(13, 'Permission denied'))

In the audit.log, I find

type=AVC msg=audit(1308650223.639:112601): avc:  denied  { setattr } for  pid=15436 comm="httpd" name="rhn_proxy_broker.log" dev=dm-0 ino=2230288 scontext=unconfined_u:system_r:httpd_t:s0 tcontext=unconfined_u:object_r:spacewalk_proxy_httpd_log_t:s0 tclass=file
type=AVC msg=audit(1308657266.509:112686): avc:  denied  { setattr } for  pid=15434 comm="httpd" name="rhn_proxy_redirect.log" dev=dm-0 ino=2230307 scontext=unconfined_u:system_r:httpd_t:s0 tcontext=unconfined_u:object_r:spacewalk_proxy_httpd_log_t:s0 tclass=file

Version-Release number of selected component (if applicable):

# rpm -qf /usr/share/rhn/wsgi/xmlrpc.py
spacewalk-proxy-common-1.2.2-11.el6sat.noarch

How reproducible:

Seen once.

Steps to Reproduce:
1. Have Satellite, RHN Proxy, and guest on RHEL 6.
2. Sync RHEL 6 channel, register that proxy machine, install proxy, register the guest machine via proxy, create kickstart, schedule kickstart of that guest via that proxy.
3. Do tail -f /var/log/httpd/error_log.
  
Actual results:

[Tue Jun 21 07:54:26 2011] [error] RHN 15434 2011/06/21 07:54:26 -04:00: ERROR LOG FILE: Couldn't open log file /var/log/rhn/rhn_proxy_redirect.log
[Tue Jun 21 07:54:26 2011] [error] RHN 15434 2011/06/21 07:54:26 -04:00: (<type 'exceptions.OSError'>, OSError(13, 'Permission denied'))

in the log and some AVC denials in the audit.log.

Expected results:

No such errors.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.